### Method

# Gsk GLShaderfind_uniform_by_name

#### Declaration [src]

    int
    gsk_gl_shader_find_uniform_by_name (
      GskGLShader* shader,
      const char* name
    )

#### Description [src]

Looks for a uniform by the name `name`, and returns the index of the uniform, or -1 if it was not found.

#### Parameters

`name`

  Type: `const char*`

  Uniform name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `int`

The index of the uniform, or -1